#!/usr/bin/env python
# Mercury write component

class ConfigWriter:
	outFile = "epycycle.xml"
	
	#Properties
	server = ""
	port = 0
	reconnect = 0
	channel = ""
	nickname = ""
	realname = ""
	
	BotRoot = ""
	UserList = []
	
	def write(self):
		self.configfile = file(self.outFile, "w")
		self.writeHeader()
		self.writeCore()
		self.writeUsers()
		self.configfile.close()
	def writeHeader(self):
		self.configfile.write('<?xml version="1.0"?>\n')
		self.configfile.write('<epycycle>\n')
		self.configfile.write('\t<core>\n')
	def writeCore(self):
		self.configfile.write('\t\t<server>' + self.server + '</server>\n')
		self.port = str(self.port)
		self.configfile.write('\t\t<port>' + self.port + '</port>\n')
		self.configfile.write('\t\t<channel>' + self.channel + '</channel>\n')
		self.reconnect = str(self.reconnect)
		self.configfile.write('\t\t<reconnect>' + self.reconnect + '</reconnect>\n')
		self.configfile.write('\t\t<nickname>' + self.nickname + '</nickname>\n')
		self.configfile.write('\t\t<realname>' + self.realname + '</realname>\n')
		self.configfile.write('\t</core>\n')
		self.configfile.write('\t<users>\n')
	def writeUsers(self):
		self.configfile.write('\t\t<user type="BotRoot">' + self.BotRoot + '</user>\n')
		for eachUser in self.UserList:
			self.configfile.write('\t\t<user type="' + eachUser.getGroup() + '" greet="' + eachUser.getGreet() + '">' + eachUser.getNickname() + '</user>\n')
		self.configfile.write('\t</users>\n')
		self.configfile.write('</epycycle>')
		

if __name__ == "__main__":
	cf = ConfigWriter()
	cf.write()