#!/usr/bin/env python
# Program to test & develop the Mercury write component
from writeconfig import ConfigWriter
from user import User

def main():
	cw = ConfigWriter()
	cw.server = "127.0.0.1"
	cw.port = 6667
	cw.channel = "#whg"
	cw.reconnect = 10
	cw.nickname = "ePyCycle"
	cw.realname = "PyBot"
	
	
	usr1 = User("TheGeneral", "General", "Greet")
	usr2 = User("NoOne", "General", "Greet2")
	usrList = [usr1, usr2]
	
	for eachUser in usrList:
		cw.UserList.append(eachUser)
	
	
	cw.write()
	
if __name__ == "__main__": main()